Name:		cherrytree
Version:	1.4.0
Release:	%mkrel 2
Summary:	Hierarchical note taking application
Group:		Office/Utilities
License:	GPLv3+
URL:		https://www.giuspen.com/cherrytree/
Source0:	https://www.giuspen.com/software/cherrytree_%{version}.tar.xz
Patch50:	remove-Check-New-Version.patch
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	git-core
BuildRequires:	python3-lxml
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(libxml++-2.6)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(uchardet)
BuildRequires:	pkgconfig(fmt)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(spdlog)

%description
CherryTree is a hierarchical note taking application, featuring rich text and
syntax highlighting, storing all the data (including images) in a single XML
file with .ctd extension.

%prep
%autosetup -n %{name}_%{version} -p1

%build
%cmake -DBUILD_TESTING:BOOL=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc changelog.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime-info/cherrytree.*
%{_mandir}/man1/*.1*
%{_metainfodir}/net.giuspen.cherrytree.metainfo.xml


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.4.0-2.mga10
+ Revision: 2250644
- Mageia 10 Mass Rebuild

* Fri Apr 04 2025 daviddavid <daviddavid> 1.4.0-1.mga10
+ Revision: 2173362
- new version: 1.4.0

* Sun Mar 16 2025 wally <wally> 1.1.4-4.mga10
+ Revision: 2164748
- rebuild for libxml2 2.13.6

* Wed Oct 02 2024 daviddavid <daviddavid> 1.1.4-3.mga10
+ Revision: 2102503
- backport upstream patches to fix build with fmt 11.x
- rebuild for new fmt 11.0.2

* Thu Sep 19 2024 daviddavid <daviddavid> 1.1.4-2.mga10
+ Revision: 2099046
- rebuild for new gspell 1.14.0

* Sun Sep 15 2024 daviddavid <daviddavid> 1.1.4-1.mga10
+ Revision: 2096746
- new version: 1.1.4

* Mon Mar 18 2024 ns80 <ns80> 1.0.4-1.mga10
+ Revision: 2050450
- new version 1.0.4 for CVE-2022-35133 (mga#31233)

* Thu Oct 13 2022 papoteur <papoteur> 0.99.42-3.mga9
+ Revision: 1896737
- Rebuild for libfmt 9.1.0

* Fri Apr 01 2022 umeabot <umeabot> 0.99.42-2.mga9
+ Revision: 1838665
- Mageia 9 Mass Rebuild

* Sun Oct 17 2021 wally <wally> 0.99.42-1.mga9
+ Revision: 1751928
- new version 0.99.42

* Sat Jul 03 2021 wally <wally> 0.99.38-2.mga9
+ Revision: 1734580
- rebuild for missing signature

* Sat Jul 03 2021 wally <wally> 0.99.38-1.mga9
+ Revision: 1734574
- new version 0.99.38

* Mon Apr 12 2021 wally <wally> 0.99.33-1.mga9
+ Revision: 1715460
- new version 0.99.33

* Sun Feb 28 2021 wally <wally> 0.99.31-1.mga9
+ Revision: 1694310
- new version 0.99.31

* Wed Jan 13 2021 wally <wally> 0.99.29-2.mga8
+ Revision: 1671594
- disable version check

* Wed Jan 13 2021 wally <wally> 0.99.29-1.mga8
+ Revision: 1671574
- revive cherrytree after it got ported to C++
- new version 0.99.29

* Fri Jan 04 2019 daviddavid <daviddavid> 0.38.7-1.mga7
+ Revision: 1349069
- new version: 0.38.7

* Tue Sep 18 2018 umeabot <umeabot> 0.37.5-2.mga7
+ Revision: 1261848
- Mageia 7 Mass Rebuild

* Sat Oct 08 2016 wally <wally> 0.37.5-1.mga6
+ Revision: 1059508
- new version 0.37.5
- require python-chardet and python-dbus

* Sun May 01 2016 wally <wally> 0.36.9-1.mga6
+ Revision: 1008454
- new version 0.36.9

* Sat Jan 30 2016 wally <wally> 0.36.4-1.mga6
+ Revision: 929056
- new version 0.36.4

* Sun Nov 29 2015 wally <wally> 0.36.0-1.mga6
+ Revision: 906969
- new version 0.36.0

* Sun Nov 15 2015 wally <wally> 0.35.11-1.mga6
+ Revision: 903294
- new version 0.35.11

* Sun Jun 21 2015 wally <wally> 0.35.2-1.mga6
+ Revision: 837773
- new version 0.35.2

* Wed Oct 15 2014 umeabot <umeabot> 0.34.1-3.mga5
+ Revision: 746186
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.34.1-2.mga5
+ Revision: 678372
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 wally <wally> 0.34.1-1.mga5
+ Revision: 671014
- new version 0.34.1

* Wed Jun 18 2014 wally <wally> 0.33.4-1.mga5
+ Revision: 637990
- new version 0.33.4

* Fri May 02 2014 wally <wally> 0.33.0-1.mga5
+ Revision: 619387
- new version 0.33.0

* Fri Feb 07 2014 wally <wally> 0.32.0-2.mga5
+ Revision: 585439
- update license (to GPLv3+)

* Fri Feb 07 2014 wally <wally> 0.32.0-1.mga5
+ Revision: 585426
- new version 0.32.0

* Mon Oct 21 2013 umeabot <umeabot> 0.30.5-2.mga4
+ Revision: 538339
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 wally <wally> 0.30.5-1.mga4
+ Revision: 489291
- new version 0.30.5
- require python-enchant

* Sun May 26 2013 wally <wally> 0.29.4-1.mga4
+ Revision: 428191
- new version 0.29.4

* Fri Jan 11 2013 umeabot <umeabot> 0.28.5-2.mga3
+ Revision: 347672
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Office/Other -> Office/Utilities

* Wed Nov 28 2012 wally <wally> 0.28.5-1.mga3
+ Revision: 322677
- fix RPM group
- new version 0.28.5

* Sun Aug 12 2012 wally <wally> 0.26.3-2.mga3
+ Revision: 280943
- explicitly require python2

* Sun Aug 12 2012 wally <wally> 0.26.3-1.mga3
+ Revision: 280937
- new version 0.26.3
- clean .spec
- import cherrytree from fedora


* Wed Jun 13 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.26.2-1
- Update to 0.26.2

* Sun May 27 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.26-1
- Update to 0.26

* Sun Mar  4 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.25.4-1
- Update to 0.25.4

* Sat Feb 18 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.25.3-1
- Update to 0.25.3

* Wed Jan 25 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.25.2-1
- Update to 0.25.2

* Sun Jan 22 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.25.1-1
- Update to 0.25.1

* Mon Jan 16 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.25-1
- Update to 0.25

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 31 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.24-1
- Update to 0.24

* Thu Nov  3 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.23.1-1
- Update to 0.23.1
- Add manuall python(abi) requirement

* Thu Jun 23 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.22.1-1
- Update to 0.22.1

* Sun Apr 25 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.21-1
- Update to 0.21

* Tue Mar 08 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.20.1-1
- Update to 0.20.1

* Tue Mar 08 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.20.1-1
- Update to 0.20

* Sat Jan 22 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.19.3-2
- Omit %%{_datadir}/application-registry/ and %%{_datadir}/mime-info/

* Fri Jan 21 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.19.3-2
- Remove useless egg and manually add python(abi) requirement

* Mon Jan 17 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.19.3-1
- Update to 0.19.3

* Sat Jan 15 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.19.2-1
- Update to 0.19.2
- Drop cherrytree.glade.h again
- Make sure cherrytree.desktop is not executable

* Tue Jan 11 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.19.1-1
- Update to 0.19.1
- Use setup.py instead of manual installation
- BR python2-devel instead of python-devel

* Tue Jan 04 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.19-2
- Drop cherrytree.glade.h

* Mon Jan 03 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.19-1
- Update to 0.19

* Wed Dec 29 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.18.1-1
- Update to 0.18.1

* Mon Dec 20 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.17.1-1
- Inital package
